Skip to main content

Get payment-gateway details from id

GET 

/pub/payment-gateway/:payment_gateway_id/info

Get payment-gateway details from id

Request

Path Parameters

    payment_gateway_id uuidrequired

    ID of payment gateway

Query Parameters

    sector string

    sector used to manage preselected charity

    company_id uuid

    company ID used to manage preselected charity

    payment_gateway_company_id uuid

    company ID of payment gateway used to manage preselected charity

Responses

successful operation

Schema

    id UUID

    Cents ID of the gateway

    name string

    The name of the payment gateway

    registration_date date

    The registration date of the payment-gateway (YYYY-MM-DD format)

    configuration

    object

    button_color stringrequired

    The color of the button (hex color code)

    ab numberrequired

    The AB value for configuration

    charities_blacklist_sectors string[]

    List of sectors of charities to be excluded

    charities_blacklist string[]

    List of charities to be exclude

    charities_whitelist_sectors string[]

    List of sectors of charities to be included, if empty all charities will be included

    charities_whitelist string[]

    List of charities to be included, if empty all charities will be included

Loading...